[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[shepherd] 02/03: tests: Skip 'close-on-exec.sh' when /proc/self/fd is m
From: |
Ludovic Courtès |
Subject: |
[shepherd] 02/03: tests: Skip 'close-on-exec.sh' when /proc/self/fd is missing. |
Date: |
Fri, 28 Apr 2023 18:40:39 -0400 (EDT) |
civodul pushed a commit to branch master
in repository shepherd.
commit 94ded90516ada747715d315f45baf90625a2f190
Author: Ludovic Courtès <ludo@gnu.org>
AuthorDate: Fri Apr 28 23:00:24 2023 +0200
tests: Skip 'close-on-exec.sh' when /proc/self/fd is missing.
* tests/close-on-exec.sh: Skip when /proc/self/fd is missing.
---
tests/close-on-exec.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/tests/close-on-exec.sh b/tests/close-on-exec.sh
index 20438eb..47e563d 100644
--- a/tests/close-on-exec.sh
+++ b/tests/close-on-exec.sh
@@ -32,6 +32,9 @@ herd="herd -s $socket"
trap "cat $log || true; rm -f $socket $conf $log $fd_count $c_file $exe;
test -f $pid && kill \`cat $pid\` || true; rm -f $pid" EXIT
+# GNU/Hurd lacks /proc/self/fd so far.
+[ -d /proc/self/fd ] || exit 77
+
cat > "$c_file" <<EOF
/* This program counts its own open file descriptors and writes
that number to $fd_count. It's more reliable than using the